<?php
    /**
     * Load Saved Image Gallery settings
     */
    $LBS_Settings  = unserialize( get_option("WL_LBS_Settings") );
    if(count($LBS_Settings)) {
        $LBS_Hover_Animation     = $LBS_Settings['LBS_Hover_Animation'];
        $LBS_Gallery_Layout      = $LBS_Settings['LBS_Gallery_Layout'];
        $LBS_Hover_Color         = $LBS_Settings['LBS_Hover_Color'];
        $LBS_Font_Style          = $LBS_Settings['LBS_Font_Style'];
        $LBS_Image_View_Icon     = $LBS_Settings['LBS_Image_View_Icon'];
		$LBS_Gallery_Title       = $LBS_Settings['LBS_Gallery_Title'];
        $wl_custom_css           = $LBS_Settings['wl_custom_css'];
     } else {    
        $LBS_Hover_Animation     = "flow";
        $LBS_Gallery_Layout      = "col-md-6";
        $LBS_Hover_Color         = "#74C9BE";
        $LBS_Font_Style          = "Arial";
        $LBS_Image_View_Icon     = "far fa-image";
		$LBS_Gallery_Title		 = "yes";	
        $wl_custom_css           = "";
    }
?>

<script>
jQuery(document).ready(function(){
    var editor = CodeMirror.fromTextArea(document.getElementById("wl-custom-css"), {
        lineNumbers: true,
        styleActiveLine: true,
        matchBrackets: true,
        hint:true,
        theme : 'blackboard',
        lineWrapping: true,
        extraKeys: {"Ctrl-Space": "autocomplete"},
    });
});
</script>

<style>
.custnote{
    background-color: rgba(23, 31, 22, 0.64);
    color: #fff;
    width: 324px;
    border-radius: 5px;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 2px;
    padding-bottom: 2px;
}
.purchase_btn_div {
    text-align: center;
}
    a.demo {
    text-align: center;
    display: block;
}
.plan-name {
    text-align: center;
}
</style>

<h2>Lightbox Slider <?php _e("Settings", WEBLIZAR_LBS_TEXT_DOMAIN); ?></h2>
<form action="?post_type=lightbox-slider&page=light-box-settings" method="post">
    <input type="hidden" id="wl_lbs_action" name="wl_lbs_action" value="wl-lbs-save-settings">
    <table class="form-table">
        <tbody>
            <tr>
                <th scope="row"><label><?php _e("Image Hover Animation", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <select name="wl-hover-animation" id="wl-hover-animation">
                        <optgroup label="Select Animation">
                            <option value="flow" <?php if($LBS_Hover_Animation == 'flow') echo "selected=selected"; ?>><?php _e("Flow", WEBLIZAR_LBS_TEXT_DOMAIN); ?></option>
                            <!--<option value="stroke" <?php /*if($LBS_Hover_Animation == 'stroke') echo "selected=selected"; */?>>Stroke</option>-->
                        </optgroup>
                    </select>
                    <p class="description"><strong><?php _e("Choose an animation effect apply on mouse hover.", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get 6 more animation effect in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e("Gallery Layout", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <select name="wl-gallery-layout" id="wl-gallery-layout">
                        <optgroup label="Select Gallery Layout">
                            <option value="col-md-6" <?php if($LBS_Gallery_Layout == 'col-md-6') echo "selected=selected"; ?>><?php _e("Two Column", WEBLIZAR_LBS_TEXT_DOMAIN); ?></option>
                            <option value="col-md-4" <?php if($LBS_Gallery_Layout == 'col-md-4') echo "selected=selected"; ?>><?php _e("Three Column", WEBLIZAR_LBS_TEXT_DOMAIN); ?></option>
                        </optgroup>
                    </select>
                    <p class="description"><strong><?php _e("Choose a column layout for image gallery.", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get three more gallery layout in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>
			<tr>
                <th scope="row"><label><?php _e("Display Gallery Title", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <input type="radio" name="lbs-gallery-title" id="lbs-gallery-title" value="yes" <?php if($LBS_Gallery_Title == 'yes' ) { echo "checked"; } ?>> Yes
                    <input type="radio" name="lbs-gallery-title" id="lbs-gallery-title" value="no" <?php if($LBS_Gallery_Title == 'no' ) { echo "checked"; } ?>> No

                    <p class="description"><strong><?php _e("Select yes if you want show gallery title .", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> </p>
                </td>
            </tr>
            <tr>
                <th scope="row"><label><?php _e("Hover Color", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <input type="radio" name="wl-hover-color" id="wl-hover-color" value="#74C9BE" <?php if($LBS_Hover_Color == '#74C9BE' ) { echo "checked"; } ?>> <span style="color: #74C9BE; font-size: large; font-weight: bolder;"><?php _e("Color 1", WEBLIZAR_LBS_TEXT_DOMAIN); ?></span>
                    <input type="radio" name="wl-hover-color" id="wl-hover-color" value="#31A3DD" <?php if($LBS_Hover_Color == '#31A3DD' ) { echo "checked"; } ?>> <span style="color: #31A3DD; font-size: large; font-weight: bolder;"><?php _e("Color 2", WEBLIZAR_LBS_TEXT_DOMAIN); ?></span>

                    <p class="description"><strong><?php _e("Choose a color apply on mouse hover.", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get Unlimited Color Scheme in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e("Image View Icon", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon" value="far fa-image"  <?php if($LBS_Image_View_Icon == 'far fa-image' ) { echo "checked"; } ?>> <i class="far fa-image fa-2x"></i>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon" value="fa-camera" <?php if($LBS_Image_View_Icon == 'fa-camera' ) { echo "checked"; } ?>> <i class="fa fa-camera fa-2x"></i>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon" value="fa-camera-retro" <?php if($LBS_Image_View_Icon == 'fa-camera-retro' ) { echo "checked"; } ?>> <i class="fa fa-camera-retro fa-2x"></i>
                    <p class="description"><strong><?php _e("Choose image view icon.", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get Unlimited Font Awesome Icon in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e("Caption Font Style", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <select  name="wl-font-style" class="standard-dropdown" id="wl-font-style">
                        <optgroup label="Default Fonts">
                        <option value="Arial" <?php selected($LBS_Font_Style, 'Arial' ); ?>>Arial</option>
                        <option value="Courier New" <?php selected($LBS_Font_Style, 'Courier New' ); ?>>Courier New</option>
                        <option value="cursive" <?php selected($LBS_Font_Style, 'cursive' ); ?>>Cursive</option>
                        <option value="fantasy" <?php selected($LBS_Font_Style, 'fantasy' ); ?>>Fantasy</option>
                        <option value="Georgia" <?php selected($LBS_Font_Style, 'Georgia' ); ?>>Georgia</option>
                        <option value="Grande"<?php selected($LBS_Font_Style, 'Grande' ); ?>>Grande</option>
                        <option value="Helvetica Neue" <?php selected($LBS_Font_Style, 'Helvetica Neue' ); ?>>Helvetica Neue</option>
                        <option value="Impact" <?php selected($LBS_Font_Style, 'Impact' ); ?>>Impact</option>
                        <option value="Lucida" <?php selected($LBS_Font_Style, 'Lucida' ); ?>>Lucida</option>
                        <option value="Lucida Console"<?php selected($LBS_Font_Style, 'Lucida Console' ); ?>>Lucida Console</option>
                        <option value="monospace" <?php selected($LBS_Font_Style, 'monospace' ); ?>>Monospace</option>
                        <option value="Open Sans" <?php selected($LBS_Font_Style, 'Open Sans' ); ?>>Open Sans</option>
                        <option value="Palatino" <?php selected($LBS_Font_Style, 'Palatino' ); ?>>Palatino</option>
                        <option value="sans" <?php selected($LBS_Font_Style, 'sans' ); ?>>Sans</option>
                        <option value="sans-serif" <?php selected($LBS_Font_Style, 'sans-serif' ); ?>>Sans-Serif</option>
                        <option value="Tahoma" <?php selected($LBS_Font_Style, 'Tahoma' ); ?>>Tahoma</option>
                        <option value="Times New Roman"<?php selected($LBS_Font_Style, 'Times New Roman' ); ?>>Times New Roman</option>
                        <option value="Trebuchet MS" <?php selected($LBS_Font_Style, 'Trebuchet MS' ); ?>>Trebuchet MS</option>
                        <option value="Verdana" <?php selected($LBS_Font_Style, 'Verdana' ); ?>>Verdana</option>
                        </optgroup>
                    </select>
                    <p class="description"><strong><?php _e("Choose a caption font style.", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get 500+ Google fonts in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>
			<tr>
                <th scope="row"><label><?php _e("Lightbox Style", WEBLIZAR_LBS_TEXT_DOMAIN); ?></label></th>
                <td>
                    <select >
                        
                            <option value="col-md-6" ><?php _e("Nivo box", WEBLIZAR_LBS_TEXT_DOMAIN); ?></option>
                             
                    </select>
                    <p class="description"><strong><?php _e("Choose a lightbox For gallery. ", WEBLIZAR_LBS_TEXT_DOMAIN); ?></strong> (Upgrade to pro for get more 8 lightbox in plugin, check <a href="http://weblizar.com/lightbox-slider-pro/" target="_new">demo</a> )</p>
                </td>
            </tr>
            <tr>
                <th><label ><?php echo "Custom CSS" ; ?></label> </th>
                <td>
                <textarea class="widefat" id="wl-custom-css" name="wl-custom-css" style="width:50%;height: 125px;" placeholder="Enter custom css here"><?php if(!isset($wl_custom_css)) { echo $wl_custom_css = ""; } else { echo $wl_custom_css;}?></textarea>
                    <p class="description">
                        <?php _e('Enter any custom css you want to apply on this gallery.',WEBLIZAR_LBS_TEXT_DOMAIN)?><br>
                    </p>
                    <p class="custnote">Note: Please Do Not Use <b>Style</b> Tag With Custom CSS</p>
                      <p class="submit" style="margin-top:20px;">
                        <input type="submit" value="<?php _e("Save Changes", WEBLIZAR_LBS_TEXT_DOMAIN); ?>" class="button button-primary" id="submit" name="submit">
                    </p>
                </td>

            </tr>

        </tbody>
    </table>
</form>


<div class="plan-name" style="margin-top:40px;">
	<h2 style="border-top: 5px solid #f9f9f9;
padding-top: 20px;">Lightbox Slider Pro</h2>
</div>
<div class="purchase_btn_div" style="margin-top:20px;">
  <a style= "margin-right:10px;" href="http://demo.weblizar.com/lightbox-slider-pro-demo/" target="_blank" class="button button-hero">View Demo</a>
	  <a style= "margin-right:10px;" href="http://demo.weblizar.com/lightbox-slider-pro-admin-demo/" target="_blank" class="button button-primary button-hero">Try Before Buy</a>
	  <a style="background-color: #d9534f;
border-color: #d43f3a;" href="https://weblizar.com/plugins/lightbox-slider-pro/" target="_blank" class="button button-primary button-hero">Upgrade To Pro</a>
	<a class="demo" href="https://weblizar.com/plugins/lightbox-slider-pro/" target="_new"><img style="margin-top:20px;box-shadow: 0 0 12px 3px #b0b2ab;" src="<?php echo WEBLIZAR_LBS_PLUGIN_URL.'images/lightbox-images.jpg'; ?>" /></a>
    </div>
	
	
<?php
if(isset($_POST['wl_lbs_action'])) {
    $Action = $_POST['wl_lbs_action'];
    //save settings
    if($Action == "wl-lbs-save-settings") {

        $LBS_Hover_Animation     = sanitize_text_field( $_POST['wl-hover-animation'] );
        $LBS_Gallery_Layout      = sanitize_text_field( $_POST['wl-gallery-layout']);
        $LBS_Hover_Color         = sanitize_text_field( $_POST['wl-hover-color'] );
        $LBS_Font_Style          = sanitize_text_field( $_POST['wl-font-style'] );
        $LBS_Image_View_Icon     = sanitize_text_field( $_POST['wl-image-view-icon'] );
	    $LBS_Gallery_Title	     = sanitize_text_field( $_POST['lbs-gallery-title']);
        $wl_custom_css           = sanitize_text_field( $_POST['wl-custom-css'] );

        $SettingsArray = serialize( array(
            'LBS_Hover_Animation' => $LBS_Hover_Animation,
            'LBS_Gallery_Layout' => $LBS_Gallery_Layout,
            'LBS_Hover_Color' => $LBS_Hover_Color,
            'LBS_Hover_Color_Opacity' => 1,
            'LBS_Font_Style' => $LBS_Font_Style,
            'LBS_Image_View_Icon' => $LBS_Image_View_Icon,
			'LBS_Gallery_Title' => $LBS_Gallery_Title,
            'wl_custom_css' => $wl_custom_css,
        ) );

        update_option("WL_LBS_Settings", $SettingsArray);
        echo "<script>location.href = location.href;</script>";
    }
}
