<?php
/**
 * Plugin Name: Lightbox Slider
 * Version: 3.3.4
 * Description: A Great Lightbox plugin to create and display various types of images galleries on WordPress blog.
 * Author: Weblizar
 * Author URI: https://www.weblizar.com
 * Plugin URI: https://weblizar.com/
 */

/**
 * Constant Variable
 */
define("WEBLIZAR_LBS_TEXT_DOMAIN","weblizar_lbs" );
define("WEBLIZAR_LBS_PLUGIN_URL", plugin_dir_url(__FILE__));

// Image Crop Size Function 
add_image_size( 'lbsp_12_thumb', 500, 9999, array( 'center', 'top'));
add_image_size( 'lbsp_346_thumb', 400, 9999, array( 'center', 'top'));
add_image_size( 'lbsp_12_same_size_thumb', 500, 500, array( 'center', 'top'));
add_image_size( 'lbsp_346_same_size_thumb', 400, 400, array( 'center', 'top'));

/**
 * Run 'Install' script on plugin activation
 */
register_activation_hook( __FILE__, 'LBS_DefaultSettings' );
function LBS_DefaultSettings(){
    $LBS_DefaultSettingsArray = serialize( array(
        'LBS_Hover_Animation' => "fade",
        'LBS_Gallery_Layout' => "col-md-6",
        'LBS_Hover_Color' => "#74C9BE",
        'LBS_Hover_Color_Opacity' => 1,
        'LBS_Font_Style' => "Arial",
        'LBS_Image_View_Icon' => "far fa-image",
		'LBS_Gallery_Title' => "yes",
        'wl_custom_css' => ""

    ) );
    add_option("WL_LBS_Settings", $LBS_DefaultSettingsArray);
}


function admin_content_lsf_144936() { 
	if(get_post_type()=="lightbox-slider") { ?>
		<style>
		.wlTBlock{
			background: linear-gradient( rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5) ), url('<?php echo WEBLIZAR_LBS_PLUGIN_URL.'/images/bg2.jpg'; ?>') no-repeat fixed;
			background-position: 50% 0 !important;
			padding: 27px 0 23px 0;
			margin-left: -20px;
			font-family: Myriad Pro ;
			cursor: pointer;
			text-align: center;
		}
		.wlTBlock .wlTBig{
			color: white;
			font-size: 30px;
			font-weight: bolder;
			padding: 0 0 15px 0;
		}
		.wlTBlock .wlTBig .dashicons{
			font-size: 40px;
			position: absolute;
			margin-left: -45px;
			margin-top: -10px;
		}
		.wlTBlock .WlTSmall{
			font-weight: bolder;
			color: white;
			font-size: 18px;
			padding: 0 0 15px 15px;
		}
		.wlTBlock a{
		text-decoration: none;
		}
		@media screen and ( max-width: 600px ) {
			.wlTBlock{ padding-top: 60px; margin-bottom: -50px; }
			.wlTBlock .WlTSmall { display: none; }			
		}
		</style>
		<div class="wlTBlock">
			<a href="https://weblizar.com/plugins/lightbox-slider-pro/" target="_new">
				<div class="wlTBig"><span class="dashicons dashicons-cart"></span>Get Pro version only in 12$ (Offer For Limited Time)</div>
				<div class="WlTSmall">with PRO version you get more advanced functionality and even more flexibility in settings </div>
			</a>
		</div>
		<?php
	}
}
add_action('in_admin_header','admin_content_lsf_144936');

//Get Ready Plugin Translation
add_action('plugins_loaded', 'LBS_GetReadyTranslation');
function LBS_GetReadyTranslation() {
	load_plugin_textdomain(WEBLIZAR_LBS_TEXT_DOMAIN, FALSE, dirname( plugin_basename(__FILE__)).'/languages/' );
}

// Register Custom Post Type
function LBS_CPT_Function() {
    $labels = array(
        'name'                => _x( 'Lightbox Slider', 'Lightbox Slider', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'singular_name'       => _x( 'Lightbox Slider', 'Lightbox Slider', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'menu_name'           => __( 'Lightbox Slider', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'parent_item_colon'   => __( 'Parent Item:', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'all_items'           => __( 'All Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'view_item'           => __( 'View Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'add_new_item'        => __( 'Add New Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'add_new'             => __( 'Add New Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'edit_item'           => __( 'Edit Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'update_item'         => __( 'Update Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'search_items'        => __( 'Search Gallery', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'not_found'           => __( 'No Gallery Found', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'not_found_in_trash'  => __( 'No Gallery found in Trash', WEBLIZAR_LBS_TEXT_DOMAIN ),
    );
    $args = array(
        'label'               => __( 'Lightbox Slider', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'description'         => __( 'Lightbox Slider', WEBLIZAR_LBS_TEXT_DOMAIN ),
        'labels'              => $labels,
        'supports'            => array( 'title', '', '', '', '', '', '', '', '', '', '', ),
        //'taxonomies'          => array( 'category', 'post_tag' ),
        'hierarchical'        => false,
        'public'              => false,
        'show_ui'             => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => false,
        'show_in_admin_bar'   => false,
        'menu_position'       => 5,
        'menu_icon'           => 'dashicons-format-gallery',
        'can_export'          => true,
        'has_archive'         => true,
        'exclude_from_search' => false,
        'publicly_queryable'  => false,
        'capability_type'     => 'page',
    );
    register_post_type( 'lightbox-slider', $args );

}

// Hook into the 'init' action
add_action( 'init', 'LBS_CPT_Function', 0 );

/**
 * Add Meta Box & load required CSS and JS for interface
 */
add_action('admin_init','Lightbox_Slider_init');
function Lightbox_Slider_init() {
    add_meta_box('Lightbox_Slider_meta', __('Add New Images', WEBLIZAR_LBS_TEXT_DOMAIN), 'lightbox_slider_function', 'lightbox-slider', 'normal', 'high');
    
	add_action('save_post','light_box_meta_save');
	add_meta_box(__('Plugin Shortcode', WEBLIZAR_LBS_TEXT_DOMAIN) , __('Plugin Shortcode', WEBLIZAR_LBS_TEXT_DOMAIN), 'lbs_plugin_shortcode', 'lightbox-slider', 'side', 'low');
	add_meta_box(__('Rate us on WordPress', WEBLIZAR_LBS_TEXT_DOMAIN) , __('Rate us on WordPress', WEBLIZAR_LBS_TEXT_DOMAIN), 'lbs_rate_us_function', 'lightbox-slider', 'side', 'low');
    
	add_meta_box(__('Upgrade To Pro Version', WEBLIZAR_LBS_TEXT_DOMAIN) , __('Upgrade To Pro Version', WEBLIZAR_LBS_TEXT_DOMAIN), 'lbs_upgrade_to_pro_function', 'lightbox-slider', 'side', 'low');
	add_meta_box(__('Pro Features', WEBLIZAR_LBS_TEXT_DOMAIN) , __('Pro Features', WEBLIZAR_LBS_TEXT_DOMAIN), 'lbs_pro_features', 'lightbox-slider', 'side', 'low');
	
    wp_enqueue_script('theme-preview');
    wp_enqueue_script('lbs-media-uploads',WEBLIZAR_LBS_PLUGIN_URL.'js/lbs-media-upload-script.js',array('media-upload','thickbox','jquery'));
    wp_enqueue_style('dashboard');
    wp_enqueue_style('lbs-meta-css', WEBLIZAR_LBS_PLUGIN_URL.'css/rpg-meta.css');
    wp_enqueue_style('thickbox');


    // enqueue style and script of code mirror 
    wp_enqueue_style('rpgp_codemirror-css', WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/codemirror.css');
    wp_enqueue_style('rpgp_blackboard', WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/blackboard.css');
    wp_enqueue_style('rpgp_show-hint-css', WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/show-hint.css');

    wp_enqueue_script('rpgp_codemirror-js',WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/codemirror.js',array('jquery'));
    wp_enqueue_script('rpgp_css-js',WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/rpg-css.js',array('jquery'));
    wp_enqueue_script('rpgp_css-hint-js',WEBLIZAR_LBS_PLUGIN_URL.'css/codemirror/css-hint.js',array('jquery'));
}

/**
plugin shortcode
**/
function lbs_plugin_shortcode(){ ?>
	<p>Use below shortcode in any Page/Post to publish your Lightbox Slider</p>
	<input readonly="readonly" type="text" value="<?php echo esc_attr("[LBS id=".get_the_ID()."]" ); ?>"> 
	<?php
}

/**
Rate us 
**/
function lbs_rate_us_function() { ?>
	<div style="text-align:center">
		<h3>If you like our plugin then please show us some love </h3>
		<style>
		.wrg-rate-us span.dashicons{
			width: 30px;
			height: 30px;
		}
		.wrg-rate-us span.dashicons-star-filled:before {
			content: "\f155";
			font-size: 30px;
		}
		</style>
		<a class="wrg-rate-us" style="text-align:center; text-decoration: none;font:normal 30px/l;" href="https://wordpress.org/plugins/lightbox-slider/#reviews" target="_blank">
            <?php for($star=1;$star<=5;$star++){ ?>
                <span class="dashicons dashicons-star-filled"></span>
            <?php } ?>
		</a>
		<div class="upgrade-to-pro-demo" style="text-align:center;margin-bottom:10px;margin-top:10px;">
			<a href="https://wordpress.org/plugins/lightbox-slider/" target="_new" class="button button-primary button-hero">Click Here</a>
		</div>
	</div>
	<?php
}

/**
 * Meta box interface design
 */
function lightbox_slider_function() {
    $lbs_all_photos_details = unserialize(get_post_meta( get_the_ID(), 'lbs_all_photos_details', true));
    $TotalImages =  get_post_meta( get_the_ID(), 'lbs_total_images_count', true );
    $i = 1;
    ?>
	<style>
	#titlediv #title {
		margin-bottom:15px;
	}
	</style>
    <input type="hidden" id="count_total" name="count_total" value="<?php if($TotalImages==0){ echo esc_attr( 0 ); } else { echo esc_attr( $TotalImages ); } ?>"/>
    <div style="clear:left;"></div>

    <?php
    /* load saved photos into gallery */
    if($TotalImages) {
        if(is_array($lbs_all_photos_details)){
            foreach($lbs_all_photos_details as $lbs_single_photos_detail) {
                $name = $lbs_single_photos_detail['lbs_image_label'];
                $url = $lbs_single_photos_detail['lbs_image_url'];
                ?>
                    <div class="rpg-image-entry" id="rpg_img<?php echo $i; ?>">
    					<a class="gallery_remove" href="#gallery_remove" id="rpg_remove_bt<?php echo esc_attr( $i ); ?>"onclick="remove_meta_img(<?php echo esc_attr( $i ); ?>)"><img src="<?php echo esc_url( WEBLIZAR_LBS_PLUGIN_URL.'images/Close-icon.png' ); ?>" /></a>
    					<img src="<?php echo  esc_url($url ); ?>" class="rpg-meta-image" alt=""  style="">
    					<input type="button" id="upload-background-<?php echo esc_attr($i); ?>" name="upload-background-<?php echo esc_attr($i); ?>" value="Upload Image" class="button-primary" onClick="weblizar_image('<?php echo esc_attr($i); ?>')" />
    					<input type="text" id="img_url<?php echo esc_attr($i); ?>" name="img_url<?php echo esc_attr($i); ?>" class="rpg_label_text"  value="<?php echo esc_url( $url); ?>"  readonly="readonly" style="display:none;" />
    					<input type="text" id="image_label<?php echo esc_attr($i); ?>" name="image_label<?php echo esc_attr($i); ?>" placeholder="Enter Image Label" class="rpg_label_text" value="<?php echo esc_attr($name); ?>">
                    </div>
                <?php
                $i++;
            } // end of foreach
          }  
    } else {
        $TotalImages = 0;
    }
    ?>


    <div id="append_rpg_img">
    </div>
    <div class="rpg-image-entry add_rpg_new_image" onclick="add_rpg_meta_img()">
		<div class="dashicons dashicons-plus"></div>
		<p><?php _e('Add New Image', WEBLIZAR_LBS_TEXT_DOMAIN); ?></p>
    </div>
    <div style="clear:left;"></div>

    <script>
    var rpg_i = parseInt(jQuery("#count_total").val());
    function add_rpg_meta_img() {
        rpg_i = rpg_i + 1;

        var rpg_output = '<div class="rpg-image-entry" id="rpg_img'+ rpg_i +'">'+
                            '<a class="gallery_remove" href="#gallery_remove" id="rpg_remove_bt' + rpg_i + '"onclick="remove_meta_img(' + rpg_i + ')"><img src="<?php echo  WEBLIZAR_LBS_PLUGIN_URL.'images/Close-icon.png'; ?>" /></a>'+
                            '<img src="<?php echo  WEBLIZAR_LBS_PLUGIN_URL.'images/rpg-default.jpg'; ?>" class="rpg-meta-image" alt=""  style="">'+
                            '<input type="button" id="upload-background-' + rpg_i + '" name="upload-background-' + rpg_i + '" value="Upload Image" class="button-primary" onClick="weblizar_image(' + rpg_i + ')" />'+
                            '<input type="text" id="img_url'+ rpg_i +'" name="img_url'+ rpg_i +'" class="rpg_label_text"  value="<?php echo  WEBLIZAR_LBS_PLUGIN_URL.'images/rpg-default.jpg'; ?>"  readonly="readonly" style="display:none;" />'+
                            '<input type="text" id="image_label'+ rpg_i +'" name="image_label'+ rpg_i +'" placeholder="Enter Image Label" class="rpg_label_text"   >'+
                        '</div>';
        jQuery(rpg_output).hide().appendTo("#append_rpg_img").slideDown(500);
        jQuery("#count_total").val(rpg_i);
    }

    function remove_meta_img(id){
        jQuery("#rpg_img"+id).slideUp(600, function(){
            jQuery(this).remove();
        });

        count_total = jQuery("#count_total").val();
        count_total = count_total - 1;
        var id_i= id + 1;

        for(var i=id_i;i<=rpg_i;i++){
            var j = i-1;
            jQuery("#rpg_remove_bt"+i).attr('onclick','remove_meta_img('+j+')');
            jQuery("#rpg_remove_bt"+i).attr('id','rpg_remove_bt'+j);
            jQuery("#img_url"+i).attr('name','img_url'+j);
            jQuery("#image_label"+i).attr('name','image_label'+j);
            jQuery("#img_url"+i).attr('id','img_url'+j);
            jQuery("#image_label"+i).attr('id','image_label'+j);

            jQuery("#rpg_img"+i).attr('id','rpg_img'+j);
        }
        jQuery("#count_total").val(count_total);
        rpg_i = rpg_i - 1;
    }
    </script>
    <?php
}

function lbs_upgrade_to_pro_function(){
?>
<div class="upgrade-to-pro-demo" style="text-align:center;margin-bottom:10px;margin-top:10px;">
	<a href="http://demo.weblizar.com/lightbox-slider-pro-demo/" target="_new" class="button button-primary button-hero">View Live Demo</a>
</div>
<div class="upgrade-to-pro-admin-demo" style="text-align:center;margin-bottom:10px;">
	<a href="http://demo.weblizar.com/lightbox-slider-pro-admin-demo/" target="_new" class="button button-primary button-hero">View Admin Demo</a>
</div>
<div class="upgrade-to-pro" style="text-align:center;margin-bottom:10px;">
	<a href="https://weblizar.com/plugins/lightbox-slider-pro/" target="_new" class="button button-primary button-hero">Upgarde To Pro</a>
</div>
<?php
}

function lbs_pro_features(){
	?>
	<ul style="">
		<li class="plan-feature">Responsive Design</li>
		<li class="plan-feature">Gallery Layout</li>
		<li class="plan-feature">Unlimited Hover Color</li>
		<li class="plan-feature">10 Types of Hover Color Opacity</li>
		<li class="plan-feature">All Gallery Shortcode</li>
		<li class="plan-feature">Each Gallery has Unique Shortcode</li>
		<li class="plan-feature">8 Types of Hover Animation</li>
		<li class="plan-feature">5 Types of Gallery Design Layout</li>
		<li class="plan-feature">500+ of Font Style</li>
		<li class="plan-feature">8 types Of Lightbox Integrated</li>
		<li class="plan-feature">Drag and Drop image Position</li>
		<li class="plan-feature">Multiple Image uploader</li>
		<li class="plan-feature">Shortcode Button on post or page</li>
		<li class="plan-feature">Unique settings for each gallery</li>
		<li class="plan-feature">Hide/Show gallery Title and label</li>
		<li class="plan-feature">Font icon Customization</li>
		<li class="plan-feature">Google Fonts</li>
		<li class="plan-feature">Isotope/Masonry Effects</li>
	</ul>
	<?php 
} 

/**
 * Save All Photo Gallery Images
 */
function light_box_meta_save() {
    if(isset($_POST['post_ID'])) {
        $post_ID =  $_POST['post_ID'] ;
        $post_type = get_post_type($post_ID) ;
        if($post_type == 'lightbox-slider') {
            $TotalImages =  $_POST['count_total'] ;
            $ImagesArray = array();
            if($TotalImages) {
                for($i=1; $i <= $TotalImages; $i++) {
                    $name = stripslashes( $_POST['image_label'.$i]);
                    $url =  $_POST['img_url'.$i] ;
                    $ImagesArray[] = array(
                        'lbs_image_label' => $name,
                        'lbs_image_url' => $url
                    );
                }
                update_post_meta($post_ID, 'lbs_all_photos_details', serialize($ImagesArray));
                update_post_meta($post_ID, 'lbs_total_images_count', $TotalImages);
            } else {
                $TotalImages = 0;
                update_post_meta($post_ID, 'lbs_total_images_count', $TotalImages);
                $ImagesArray = array();
                update_post_meta($post_ID, 'lbs_all_photos_details', serialize($ImagesArray));
            }
        }
    }
}

/**
 * Weblizar Lightbox Slider Short Code Detect Function
 * Plugin never load plugin CSS & JS files with all theme pages.
 * CSS & JS files only load on required pages where you use or embed [LBS] shortcode.
 */
function WeblizarLightboxSliderShortCodeDetect() {
    global $wp_query;
    $Posts = $wp_query->posts;
    $Pattern = get_shortcode_regex();
    foreach ($Posts as $Post) {
        if( preg_match_all( '/'. $Pattern .'/s', $Post->post_content, $Matches ) && array_key_exists( 2, $Matches ) && in_array( 'LBS', $Matches[2] ) ) {
            /**
             * js scripts
             */
				wp_enqueue_script('jquery');
				wp_enqueue_script('wl-lbs-hover-pack-js',WEBLIZAR_LBS_PLUGIN_URL.'js/hover-pack.js', array('jquery'));
				wp_enqueue_script('wl-lbs-bootstrap-js',WEBLIZAR_LBS_PLUGIN_URL.'js/bootstrap.min.js', array('jquery'));
				wp_enqueue_script('wl-lbs-lightbox',WEBLIZAR_LBS_PLUGIN_URL.'js/lightbox.js', array('jquery'));
				
	     	/**       
             * css scripts
             */
				wp_enqueue_style('wl-lbs-hover-pack-css', WEBLIZAR_LBS_PLUGIN_URL.'css/hover-pack.css');
				wp_enqueue_style('wl-lbs-reset-css', WEBLIZAR_LBS_PLUGIN_URL.'css/reset.css');
				wp_enqueue_style('wl-lbs-boot-strap-css', WEBLIZAR_LBS_PLUGIN_URL.'css/bootstrap-latest/bootstrap.css');
				wp_enqueue_style('wl-lbs-img-gallery-css', WEBLIZAR_LBS_PLUGIN_URL.'css/img-gallery.css');
				wp_enqueue_style('wl-lbs-font-awesome-5', WEBLIZAR_LBS_PLUGIN_URL.'css/font-awesome-latest/css/fontawesome-all.min.css');
				wp_enqueue_style('wl-lbs-lightbox', WEBLIZAR_LBS_PLUGIN_URL.'css/lightbox.css');

            break;
        } //end of if
    } //end of foreach
}
add_action( 'wp_footer', 'WeblizarLightboxSliderShortCodeDetect' );

/**
 * Settings Page for Lightbox Slider
 */
add_action('admin_menu' , 'LBS_SettingsPage');

function LBS_SettingsPage() {
    add_submenu_page('edit.php?post_type=lightbox-slider', __('Settings', WEBLIZAR_LBS_TEXT_DOMAIN), __('Settings', WEBLIZAR_LBS_TEXT_DOMAIN), 'administrator', 'light-box-settings', 'lightbox_slider_settings_page_function');
    add_submenu_page('edit.php?post_type=lightbox-slider', 'Our Products', 'Our Products', 'administrator', 'lbs-our-products', 'lgs_our_product_page_function');
    add_submenu_page('edit.php?post_type=lightbox-slider', 'Recommendation', 'Recommendation', 'administrator', 'plugin-recommendation', 'LS_plugin_recommendation');
     add_submenu_page('edit.php?post_type=lightbox-slider', 'Our Offers', 'Our Offers', 'administrator', 'plugin-offers', 'LS_plugin_offers_function');
}

/**
 * Photo Gallery Settings Page
 */
function lightbox_slider_settings_page_function() {
    //css
	wp_enqueue_script('dashboard');
	wp_enqueue_script('jquery');
	wp_enqueue_style('dashboard');
    wp_enqueue_style('wl-lbs-font-awesome-5', WEBLIZAR_LBS_PLUGIN_URL.'css/font-awesome-latest/css/fontawesome-all.min.css');
    require_once("lightbox-slider-settings.php");
}

/**
 * Our Products
 */
function lgs_our_product_page_function() {
    //css
    wp_enqueue_style('wl-lbs-font-awesome-5', WEBLIZAR_LBS_PLUGIN_URL.'css/font-awesome-latest/css/fontawesome-all.min.css');
    wp_enqueue_style('bootstrap-latest-css', WEBLIZAR_LBS_PLUGIN_URL.'css/bootstrap-latest/bootstrap-latest.css');
	require_once("our_product.php");
}

function LS_plugin_recommendation(){
	//css
    wp_enqueue_style('recom2', WEBLIZAR_LBS_PLUGIN_URL.'css/recom.css');
	require_once("recommendations.php");
}

function LS_plugin_offers_function(){
    wp_enqueue_style('about-me-pro-product-function-boot-strap-latest', WEBLIZAR_LBS_PLUGIN_URL.'css/bootstrap-latest/bootstrap.min.css');
    wp_enqueue_script('rp_rp-bootstrap-js',WEBLIZAR_LBS_PLUGIN_URL.'js/bootstrap.min.js');
    require_once("offers.php");
}


/**
* LIGHT BOX SETTING PAGE
*/
// Add settings link on plugin page
function as_settings_link_lbs($links) {
    $as_settings_link1 = '<a href="https://weblizar.com/" target="_blank">Get More</a>';
    $as_settings_link2= '<a href="edit.php?post_type=lightbox-slider">Settings</a>';
    array_unshift($links, $as_settings_link1, $as_settings_link2);
    return $links;
}
$lbs_plugin_name = plugin_basename(__FILE__);
add_filter("plugin_action_links_$lbs_plugin_name", 'as_settings_link_lbs' );

// Review Box Notice
add_action("admin_notices", "review_admin_notice_lbs");
function review_admin_notice_lbs(){
    $screen = get_current_screen();
    if($screen->post_type == "lightbox-slider"){
        echo '<div class="notice notice-success is-dismissible review-notice">
		<p>Thanks for installing and using LIGHT BOX Slider plugin. If you love our plugin and plugin is really work for you.
		Then please share your feedback about this plugin. Your feedback will be helpful to make plugin more error free.</p>
		<p><a href="https://wordpress.org/support/plugin/lightbox-slider/reviews/?filter=5" target="_blank" name="review" id="review" class="button button-primary">Review & Rate</a></p>
		</div>';
    }
	//ADMIN NOTICE
	?>
	<style>
	.review-notice{
		background-color: #532f35 !important;   
		color: #fff;
	}
	.review-notice p{
		font-size: 16px !important;
		font-weight: 300 !important;            
		font-style: normal !important; 
		text-shadow: 2px 2px 2px rgba(150, 150, 150, 1);
	}
	.review-notice #review{
		background-color: #b23831 !important;
		/*border-color: rgb(0, 115, 170) rgb(0, 103, 153) rgb(0, 103, 153);*/
		border-color: #eee #eee #eee;
		-webkit-box-shadow: 0 1px 0 #b23831;
		box-shadow: 0 1px 0 #b23831;
		color: rgb(255, 255, 255);
		text-decoration: none;
		text-shadow: 0 -1px 1px #b23831, 1px 0 1px #b23831, 0 1px 1px #b23831, -1px 0 1px #b23831;
	}
	.notice-dismiss:before{
		color: #fff !important;
	}
	.review-notice #review:hover{
		background: rgb(238, 238, 238) !important;
		border-color: rgb(238, 238, 238) !important;
		color: rgb(255, 255, 255) !important;
	}
	.review-notice #review:focus{
		-webkit-box-shadow: 0 1px 0 #b13830, 0 0 2px 1px #b23831 !important;
		box-shadow: 0 1px 0 #b23831, 0 0 2px 1px #b23831 !important;
	}
    </style>
	<?php
}

/**
 * Lightbox Slider Short Code [LBS]
 */
require_once("lightbox-slider-short-code.php");
?>